# rpcap_auth Struct Reference
[Internal Structures and Definitions]

Structure that keeps the data required for the authentication on the remote host. More...

`#include <pcap-remote.h>`

## Data Fields

uint16 | type
| Authentication type.
uint16 | dummy
| Must be zero.
uint16 | slen1
| Length of the first authentication item (e.g. username).
uint16 | slen2
| Length of the second authentication item (e.g. password).

## Detailed Description

Structure that keeps the data required for the authentication on the remote host.

Definition at line 249 of file pcap-remote.h.

## Field Documentation

uint16 dummy

Must be zero.

Definition at line 252 of file pcap-remote.h.

uint16 slen1

Length of the first authentication item (e.g. username).

Definition at line 253 of file pcap-remote.h.

uint16 slen2

Length of the second authentication item (e.g. password).

Definition at line 254 of file pcap-remote.h.

uint16 type

Authentication type.

Definition at line 251 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.